Package org.eclipse.emf.compare.ide.ui.internal.logical

# Class FileRevisionStorageProvider

java.lang.Object
org.eclipse.emf.compare.ide.ui.internal.logical.FileRevisionStorageProvider

All Implemented Interfaces:
  `IStorageProvider`

public class FileRevisionStorageProvider extends Object implements IStorageProvider
Allows access to the underlying IFileRevision's storage.

## Constructor Summary

Constructors
Constructor
Description
`FileRevisionStorageProvider(org.eclipse.team.core.history.IFileRevision revision)`
Wraps a file revision as a storage provider.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.core.resources.IStorage`
`getStorage(org.eclipse.core.runtime.IProgressMonitor monitor)`
Retrieves the underlying storage of this provider.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileRevisionStorageProvider

public FileRevisionStorageProvider(org.eclipse.team.core.history.IFileRevision revision)
Wraps a file revision as a storage provider.

Parameters:
  `revision` - The wrapped file revision.

## Method Details

### getStorage

public org.eclipse.core.resources.IStorage getStorage(org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Retrieves the underlying storage of this provider.

Specified by:
  `getStorage` in interface `IStorageProvider`
Parameters:
  `monitor` - Monitor on which to report progress information.
Returns:
  The underlying storage of this provider.
Throws:
  `org.eclipse.core.runtime.CoreException` - Thrown if the underlying storage cannot be retrieved.
See Also:
  - `IStorageProvider.getStorage(org.eclipse.core.runtime.IProgressMonitor)`